From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1672706-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 6CA2A158083
	for <garchives@archives.gentoo.org>; Sun, 22 Sep 2024 11:27:03 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id B235E2BC074;
	Sun, 22 Sep 2024 11:27:02 +0000 (UTC)
Received: from smtp.gentoo.org (woodpecker.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 97C802BC074
	for <gentoo-commits@lists.gentoo.org>; Sun, 22 Sep 2024 11:27:02 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id D41D5343269
	for <gentoo-commits@lists.gentoo.org>; Sun, 22 Sep 2024 11:27:01 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 31AA027ED
	for <gentoo-commits@lists.gentoo.org>; Sun, 22 Sep 2024 11:27:00 +0000 (UTC)
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Sam James" <sam@gentoo.org>
Message-ID: <1727004390.9923f3e78c045eebf1d2089a118f42a75e9390b7.sam@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-vcs/git/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-vcs/git/git-2.46.0.ebuild dev-vcs/git/git-2.46.1.ebuild dev-vcs/git/git-9999.ebuild
X-VCS-Directories: dev-vcs/git/
X-VCS-Committer: sam
X-VCS-Committer-Name: Sam James
X-VCS-Revision: 9923f3e78c045eebf1d2089a118f42a75e9390b7
X-VCS-Branch: master
Date: Sun, 22 Sep 2024 11:27:00 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 3d0c92ef-6f38-4f1c-9bf5-fc9292d7876d
X-Archives-Hash: 437586b6bf069817942263509d313df9

commit:     9923f3e78c045eebf1d2089a118f42a75e9390b7
Author:     Stephen Reaves <reaves735 <AT> gmail <DOT> com>
AuthorDate: Wed Sep  4 15:37:08 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Sep 22 11:26:30 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9923f3e7

dev-vcs/git: add support for git-credential-netrc

Fedora installs this too.

Signed-off-by: Stephen Reaves <reaves735 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/38434
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-vcs/git/git-2.46.0.ebuild | 16 ++++++++++++++++
 dev-vcs/git/git-2.46.1.ebuild | 16 ++++++++++++++++
 dev-vcs/git/git-9999.ebuild   | 16 ++++++++++++++++
 3 files changed, 48 insertions(+)

diff --git a/dev-vcs/git/git-2.46.0.ebuild b/dev-vcs/git/git-2.46.0.ebuild
index 754773f787a6..0247cf6cb525 100644
--- a/dev-vcs/git/git-2.46.0.ebuild
+++ b/dev-vcs/git/git-2.46.0.ebuild
@@ -333,6 +333,10 @@ src_compile() {
 		git_emake gitweb
 	fi
 
+	if use perl ; then
+		git_emake -C contrib/credential/netrc
+	fi
+
 	if [[ ${CHOST} == *-darwin* ]] && tc-is-clang ; then
 		git_emake -C contrib/credential/osxkeychain
 	fi
@@ -482,6 +486,12 @@ src_test() {
 
 	# And bail if there was a problem
 	[[ ${rc} -eq 0 ]] || die "Tests failed. Please file a bug!"
+
+	if use perl ; then
+		make -C contrib/credential/netrc test || \
+		make -C contrib/credential/netrc testverbose || \
+		die "Tests failed for git-credential-netrc failed.  Please file a bug!"
+	fi
 }
 
 src_install() {
@@ -608,6 +618,12 @@ src_install() {
 		rm -rf "${ED}"/usr/share/gitweb
 	fi
 
+	if use perl ; then
+		pushd contrib/credential/netrc &>/dev/null || die
+		dobin git-credential-netrc
+		popd &>/dev/null || die
+	fi
+
 	if ! use subversion ; then
 		rm -f "${ED}"/usr/libexec/git-core/git-svn \
 			"${ED}"/usr/share/man/man1/git-svn.1*

diff --git a/dev-vcs/git/git-2.46.1.ebuild b/dev-vcs/git/git-2.46.1.ebuild
index 754773f787a6..0247cf6cb525 100644
--- a/dev-vcs/git/git-2.46.1.ebuild
+++ b/dev-vcs/git/git-2.46.1.ebuild
@@ -333,6 +333,10 @@ src_compile() {
 		git_emake gitweb
 	fi
 
+	if use perl ; then
+		git_emake -C contrib/credential/netrc
+	fi
+
 	if [[ ${CHOST} == *-darwin* ]] && tc-is-clang ; then
 		git_emake -C contrib/credential/osxkeychain
 	fi
@@ -482,6 +486,12 @@ src_test() {
 
 	# And bail if there was a problem
 	[[ ${rc} -eq 0 ]] || die "Tests failed. Please file a bug!"
+
+	if use perl ; then
+		make -C contrib/credential/netrc test || \
+		make -C contrib/credential/netrc testverbose || \
+		die "Tests failed for git-credential-netrc failed.  Please file a bug!"
+	fi
 }
 
 src_install() {
@@ -608,6 +618,12 @@ src_install() {
 		rm -rf "${ED}"/usr/share/gitweb
 	fi
 
+	if use perl ; then
+		pushd contrib/credential/netrc &>/dev/null || die
+		dobin git-credential-netrc
+		popd &>/dev/null || die
+	fi
+
 	if ! use subversion ; then
 		rm -f "${ED}"/usr/libexec/git-core/git-svn \
 			"${ED}"/usr/share/man/man1/git-svn.1*

diff --git a/dev-vcs/git/git-9999.ebuild b/dev-vcs/git/git-9999.ebuild
index 754773f787a6..0247cf6cb525 100644
--- a/dev-vcs/git/git-9999.ebuild
+++ b/dev-vcs/git/git-9999.ebuild
@@ -333,6 +333,10 @@ src_compile() {
 		git_emake gitweb
 	fi
 
+	if use perl ; then
+		git_emake -C contrib/credential/netrc
+	fi
+
 	if [[ ${CHOST} == *-darwin* ]] && tc-is-clang ; then
 		git_emake -C contrib/credential/osxkeychain
 	fi
@@ -482,6 +486,12 @@ src_test() {
 
 	# And bail if there was a problem
 	[[ ${rc} -eq 0 ]] || die "Tests failed. Please file a bug!"
+
+	if use perl ; then
+		make -C contrib/credential/netrc test || \
+		make -C contrib/credential/netrc testverbose || \
+		die "Tests failed for git-credential-netrc failed.  Please file a bug!"
+	fi
 }
 
 src_install() {
@@ -608,6 +618,12 @@ src_install() {
 		rm -rf "${ED}"/usr/share/gitweb
 	fi
 
+	if use perl ; then
+		pushd contrib/credential/netrc &>/dev/null || die
+		dobin git-credential-netrc
+		popd &>/dev/null || die
+	fi
+
 	if ! use subversion ; then
 		rm -f "${ED}"/usr/libexec/git-core/git-svn \
 			"${ED}"/usr/share/man/man1/git-svn.1*